
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>详解javascript new的运行机制_javascript技巧 / iVAN</title>

    <meta name="description" content="详解javascript new的运行机制_javascript技巧 和其他高级语言一样javascript 中也有new 运算符,我们知道new 运算符是用来实例化一个类,从而在内存中分配一个实例对象. 但在 javascript 中,万物皆对象,为什么还要通过new 来产生对象? 本文将带你一起来探索 javascript 中 new 的奥秘... 一.认识new运算符 function Animal(name){ this.name = name; } Animal.color = &quot;black&quot;; Animal.prototype.sa ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">详解javascript new的运行机制_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>和其他高级语言一样javascript 中也有new 运算符，我们知道new 运算符是用来实例化一个类，从而在内存中分配一个实例对象。 但在 javascript 中，万物皆对象，为什么还要通过new 来产生对象？ 本文将带你一起来探索 javascript 中 new 的奥秘...</p>
<p><strong>一、认识new运算符</strong></p>
<pre>
function Animal(name){
    this.name = name;
  }
  Animal.color = "black";
  Animal.prototype.say = function(){
    console.log("I'm " + this.name);
  };
  var cat = new Animal("cat");

  console.log(
    cat.name, //cat
    cat.height //undefined
  );
  cat.say(); //I'm cat

  console.log(
    Animal.name, //Animal
    Animal.color //back
  );
  Animal.say(); //Animal.say is not a function
</pre>
<p>如果你能理解上面输出的结果，说明你已非常了解js中new和this的运行机制，请忽略本文!</p>
<p>我们将通过解析这个例子来加深你对js中new运算符的理解! 【如果你对js的this还不了解，请先阅读：JS作用域和this关键字】</p>
<p><strong>1、代码解读</strong></p>
<p>  1-3行创建了一个函数Animal,并在其this上定义了属性:name,name的值是函数被执行时的形参。</p>
<p>  第4行在Animal对象（Animal本身是一个函数对象）上定义了一个静态属性:color,并赋值“black”</p>
<p>  5-7行在Animal函数的原型对象prototype上定义了一个say()方法，say方法输出了this的name值。</p>
<p>  第8行通过new关键字创建了一个新对象cat</p>
<p>  10-14行cat对象尝试访问name和color属性，并调用say方法。</p>
<p>  16-20行Animal对象尝试访问name和color属性，并调用say方法。</p>
<p><strong>2、重点解析</strong></p>
<p>  第8行代码是关键：</p>
<pre>
var cat = new Animal("cat");
JS引擎执行这句代码时，在内部做了很多工作，用伪代码模拟其工作流程如下：

new Animal("cat") = {

  var obj = {};

  obj.__proto__ = Animal.prototype;

  var result = Animal.call(obj,"cat");

  return typeof result === 'obj'? result : obj;
}
</pre>
<p>（1）创建一个空对象obj;</p>
<p>（2）把obj的__proto__ 指向Animal的原型对象prototype，此时便建立了obj对象的原型链：obj-&gt;Animal.prototype-&gt;Object.prototype-&gt;null</p>
<p>      【如果你不了解JS原型链，请先阅读：JS原型和原型链】</p>
<p>（3）在obj对象的执行环境调用Animal函数并传递参数“cat”。 相当于var result = obj.Animal("cat")。</p>
<p>       当这句执行完之后，obj便产生了属性name并赋值为"cat"。【关于JS中call的用法请阅读：JS的call和apply】</p>
<p>（4）考察第3步返回的返回值，如果无返回值或者返回一个非对象值，则将obj返回作为新对象；否则会将返回值作为新对象返回。</p>
<p>理解new的运行机制以后，我们知道cat其实就是过程（4）的返回值，<strong>因此我们对cat对象的认知就多了一些</strong>：</p>
<p>cat的原型链是：<strong>cat-&gt;Animal.prototype-&gt;Object.prototype-&gt;null</strong></p>
<p>cat上新增了一个属性：name</p>
<p>分析完了cat的产生过程，我们再看看输出结果：</p>
<p>cat.name -&gt; 在过程（3）中，obj对象就产生了name属性。因此cat.name就是这里的obj.name</p>
<p>cat.color -&gt; cat会先查找自身的color，没有找到便会沿着原型链查找，在上述例子中，我们仅在Animal对象上定义了color,并没有在其原型链上定义，因此找不到。</p>
<p>cat.say -&gt; cat会先查找自身的say方法，没有找到便会沿着原型链查找，在上述例子中，我们在Animal的prototype上定义了say,因此在原型链上找到了say方法。</p>
<p>另外，在say方法中还访问this.name，这里的this指的是其调用者obj,因此输出的是obj.name的值。</p>
<p>对于Animal来说，它本身也是一个对象，因此，它在访问属性和方法时也遵守上述查找规则，所以：</p>
<p>Animal.color -&gt; "black"</p>
<p><strong>Animal.name -&gt; "Animal"</strong> , Animal先查找自身的name,找到了name,注意：但这个name不是我们定义的name,而是函数对象内置的属性。</p>
<p>一般情况下，函数对象在产生时会内置name属性并将函数名作为赋值（仅函数对象）。</p>
<p>Animal.say -&gt; Animal在自身没有找到say方法，也会沿着其原型链查找，话说Animal的原型链是什么呢？</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTI2MTYzNTQwNzYwLnBuZw==.jpg"></p>
<p> 从测试结果看：Animal的原型链是这样的：</p>
<p> <strong>Animal-&gt;Function.prototype-&gt;Object.prototype-&gt;null</strong></p>
<p> 因此Animal的原型链上没有定义say方法！</p>
<p><strong>二、new存在的意义</strong></p>
<p>认识了new运算符之后，我们再回到开篇提到的问题：JS中万物皆对象，为什么还要通过new来产生对象？要弄明白这个问题，我们首先要搞清楚cat和Animal的关系。</p>
<p>通过上面的分析，我们发现cat继承了Animal中的部分属性，因此我们可以简单的理解：Animal和cat是继承关系。</p>
<p>另一方面，cat是通过new产生的对象，那么cat到底是不是Animal的实例对象？ 我们先来了解一下JS是如何来定义“实例对象”的？</p>
<pre>
A instanceof B</pre>
<p>如果上述表达式为true,JS认为A是B的实例对象，我们用这个方法来判断一下cat和Animal</p>
<pre>
cat instanceof Animal; //true</pre>
<p>从执行结果看：cat确实是Animal实例，要想证实这个结果，我们再来了解一下JS中instanceof的判断规则：</p>
<pre>
var L = A.__proto__;
var R = B.prototype;
 if(L === R)
return true;</pre>
<p>如果A的__proto__ 等价于 B的prototype，就返回true</p>
<p>在new的执行过程（2）中，cat的__proto__指向了Animal的prototype，所以cat和Animal符合instanceof的判断结果。因此，我们认为：cat是Animal的实例对象。</p>
<p> 在javascript中, 通过new可以产生原对象的一个实例对象，而这个实例对象继承了原对象的属性和方法。因此，new存在的意义在于它实现了javascript中的继承，而不仅仅是实例化了一个对象！</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索javascript<br />
                    ，                new<br />
                                    运行机制<br />
                                    javascript闭包详解、javascript运行机制、javascript 钩子机制、javascript事件机制、javascript详解，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:58:42</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/new/" title="new">new</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/%e8%bf%90%e8%a1%8c%e6%9c%ba%e5%88%b6/" title="运行机制">运行机制</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>详解javascript new的运行机制_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0N4Pjz.html" rel="bookmark">详解JavaScript基于面向对象之继承&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.面相对象继承机制       这个实例使用UML很好的解释了继承机制.       说明继承机制最简单的方式是,利用一个经典的例子就是几何形状.实际上,几何形状只有两种,即椭圆形(是圆形的)和多边形(具有一定数量的边).圆是椭圆的一种,它只有一个焦点.三角形.矩形和五边形都是多边形的一种,具有不同数量的边.正方形是矩形的一种,所有的边等长.这就构成了一种完美的继承关系,很好的解释了面向对象的继承机制.        在这个例子中,形状是椭圆形和多边形的基类(通常我们也可以叫它父类,所有类都由			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEmy1z.html" rel="bookmark">详解JavaScript的内置对象&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是对象 JavaScript 中的所有事物都是对象,如:字符串.数值.数组.函数等,每个对象带有属性和方法. 对象的属性:反映该对象某些特定的性质的,如:字符串的长度.图像的长宽等: 对象的方法:能够在对象上执行的动作.例如,表单的&quot;提交&quot;(Submit),时间的&quot;获取&quot;(getYear)等: JavaScript 提供多个内建对象,比如 String.Date.Array 等等,使用对象前先定义,如下使用数组对象: var objectName =new Ar			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5oQ8z.html" rel="bookmark">详解javascript事件绑定使用方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于html是从上至下加载的,通常我们如果在head部分引入javascript文件,那么我们都会在javascript的开头添加window.onload事件,防止在文档问加载完成时进行DOM操作所出现的错误.如果有多个javascript文件,那么极有可能出现多个window.onload事件,但是最后起作用的只有一个,这时候就需要使用事件绑定来解决这个问题了. IE方式 attachEvent(事件名称, 函数),绑定事件处理函数 detachEvent(事件名称, 函数),解除绑定 DO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDjJdz.html" rel="bookmark">详解Javascript中的Object对象&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Object是在javascript中一个被我们经常使用的类型,而且JS中的所有对象都是继承自Object对象的.虽说我们平时只是简单地使用了Object对象来存储数据,并没有使用到太多其他功能,但是Object对象其实包含了很多很有用的属性和方法,尤其是ES5增加的方法,因此,本文将从最基本的介绍开始,详细说明了Object的常用方法和应用. 基础介绍 创建对象 首先我们都知道,对象就是一组相似数据和功能的集合,我们就是用它来模拟我们现实世界中的对象的.那在Javascript中,创建对象的方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7qXrM.html" rel="bookmark">详解JavaScript的变量和数据类型&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于一门编程语言,肯定包含变量和数据类型.今天我们就来看看JavaScript脚本语言的变量和数据类型.相对 于其他的Java,C++等高级程序语言,JavaScript显得很简单.一.变量        JavaScript的变量是松散类型的,所谓松散就是用来保存任何类型的数据.变量是存储信息的容器.定义变量时要使用var操作符(var是关键字),后面跟一个变量名(变量名是标识符).变量也就是初始化后可以再次改变的量. 那么我们来看看实例: &lt;span style=&quot;font-size:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNaDrp.html" rel="bookmark">详解JavaScript 中的 replace 方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				定义和用法 replace() 方法用于在字符串中用一些字符替换另一些字符,或替换一个与正则表达式匹配的子串. stringObject.replace(regexp/substr,replacement) 参数 描述 regexp/substr 必需.规定子字符串或要替换的模式的 RegExp 对象. 请注意,如果该值是一个字符串,则将它作为要检索的直接量文本模式,而不是首先被转换为 RegExp 对象. replacement 必需.一个字符串值.规定了替换文本或生成替换文本的函数. 返回值			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxvGKjz.html" rel="bookmark">详解JavaScript数组的操作大全&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文给大家介绍js数组的操作非常详细,感兴趣的朋友一起学习本篇文章吧. 1.数组的创建 var arrayObj = new Array(); //创建一个数组 var arrayObj = new Array([size]); //创建一个数组并指定长度,注意不是上限,是长度 var arrayObj = new Array([element[, element[, ...[, elementN]]]]); //创建一个数组并赋值 要说明的是,虽然第二种方法创建数组指定了长度,但实际上所有情况			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPx0Y8p.html" rel="bookmark">详解javascript跨浏览器事件处理程序&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文为大家分享了javascript跨浏览器事件处理机制,供大家参考,具体内容如下 &lt;!doctype html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;跨浏览器的事件处理程序&lt;/title&gt; &lt;/head&gt; &lt;body&gt; &lt;input type=&quot;button&quot; value=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBRjR4b.html" rel="bookmark">详解JavaScript中localStorage使用要点&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				localStorage主要用来替代cookie,解决cookie(可参考cookie使用要点)读写困难.容量有限的问题. localStorage有以下几个特点 1.localStorage是一个普通对象,任何对象的操作都适用. 2.localStorage对象的属性值只能是字符串. 这个需要特别注意了,假设我们要保存一个对象到localStorage中,可以使用拼接的方式.如 var obj = { &quot;na=me&quot;: &quot;chua&quot;, age: 9 } //拼接到			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqRapm.html" rel="bookmark" class="title">360安全浏览器如何新标签页</a>
					<div>
						  我们为您预置了8个宫格,您可以在这里找到经常访问的网站. 鼠标悬浮到宫格上,会出现个小&quot;X&quot;,点击&quot;X&quot;,就可以删除相应宫格的内容. 您还可以点击页面右上角 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQyKbq.html" rel="bookmark" class="title">lda 文本挖掘-现在想用LDA主题模型分析文本内容，LDA主题模型怎么阅读每个topic下面的词汇</a>
					<div>
						问题描述 现在想用LDA主题模型分析文本内容,LDA主题模型怎么阅读每个topic下面的词汇 现在想用LDA主题模型分析文本内容,LDA主题模型怎么阅读每个topic下面的词汇,每个主题会有一个概率值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVQBBp.html" rel="bookmark" class="title">tabs-VS13插件Tabs Studio 问题</a>
					<div>
						问题描述 VS13插件Tabs Studio 问题 插件一直安装不成功.系统是win8.1,VS2013.求解决. 解决方案 这种山寨插件可能对你的中文版系统支持不好,建议安装原版的系统. 不知道你用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVy6Qp.html" rel="bookmark" class="title">分享 用CSS实现无图片圆角效果</a>
					<div>
						css|圆角 css圆角效果,IE6, firefox均显示正常 &lt;html&gt;&lt;head&gt;&lt;title&gt;css圆角效果--网页教学网&lt;/title&gt;&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPJV0b.html" rel="bookmark" class="title">多服务器的日志合并统计&lpar;2&rpar;</a>
					<div>
						服务器|统计 比较简便不影响服务的方法是:先复制,后清空 cp /path/to/apache/log/access_log /path/to/apache/log/access_log_yester ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6VloM.html" rel="bookmark" class="title">当ASP&period;NET撞上JSF之构建应用程序的异同</a>
					<div>
						asp.net|js|程序 理想情况下,ASP.NET和JSF web页面应该包含很少的代码而且只是包含必要的HTML和标签来生成页面的组件,一个页面的事件逻辑驻留于代码文件中.在ASP.NET中,每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgelAz.html" rel="bookmark" class="title">IT龙门阵：Twitter等新网站有无前途</a>
					<div>
						观点回顾: 叽歪网创始人李卓恒:我们在学习Twitter,我们最关注的是应该怎么样满足用户的需求,怎么样完善我的产品,怎么样更符合我们中国用户的习惯,接下来真正解决这个问题之后,我相信接下来的一切,应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boG3Vb.html" rel="bookmark" class="title">献给PHPer&colon;一言难尽话PHP 兼谈我的编程经历</a>
					<div>
						有一个人,这个人我已经不记得他的相貌和姓名,但是他曾经影响了我. 99年的春天,联想开始做公共网站,我虽然主要工作是做设计,但其实我的兴趣在技术上,喜欢自己找些Perl(当年的CGI程序多数是Perl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOZGQp.html" rel="bookmark" class="title">Fork&sol;Join框架简介</a>
					<div>
						1. 什么是Fork/Join框架 Fork/Join框架是Java7提供了的一个用于并行执行任务的框架, 是一个把大任务分割成若干个小任务 ,最终汇总每个小任务结果后得到大任务结果的框架. 我们再通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R32ap.html" rel="bookmark" class="title">VC&plus;&plus;&period;NET中使用GDI&plus;创建特效字体</a>
					<div>
						来自于微软.NET技术的C++托管扩展所包含的GDI+技术功能十分强大,本文将介绍如何使用GDI+的画刷来绘制文本. 一.使用画刷绘制文本的基本技术 本文所带的例子程序允许用户定义所要显示的文本.字体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPn5rz.html" rel="bookmark" class="title">Win8系统Microsoft帐户密码重置方法</a>
					<div>
						具体重置流程如下: 1.打开电脑上的浏览器,登录百度首页搜索&quot;Micorsoft 帐户&quot;打开注册页面,点击[登录]跳转.跳转到登录页面,由于是忘记了密码,所以点击下面的[无法访问你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLxnOb.html" rel="bookmark" class="title">Photoshop绘制金属质感的指南针</a>
					<div>
						1.photoshop教程新建3508*2480 分辨率为300的文档,然后按&quot;D&quot;恢复默认前景色背景色状态 2.新建图层,拉一个从左上角到右下角的线性渐变,然后滤镜-杂色-添加杂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKnjoM.html" rel="bookmark" class="title">迅雷开机不启动怎么设置</a>
					<div>
						  1.打开桌面上的迅雷,进入迅雷主界面. 2.点击迅雷主界面右上角的设置按钮. 3.将&quot;开机自动启动&quot;的勾勾去掉即可. 4.或者点击下面的配置中心. 5.点击基本设置&gt;常规 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badDnJz.html" rel="bookmark" class="title">SSDP Discovery Service 是什么东西 可以禁用吗？</a>
					<div>
						这个服务现在用到是非常少的,小编建议大家改为手动使用,这样当我们需要使用它的时候也能使用它,如果你电脑发现这个服务对应的svchost.exe进程使用的CPU非常,可以关闭它,但是不建议直接永久禁用它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdor4M.html" rel="bookmark" class="title">怎么查看笔记本电脑内存条型号？</a>
					<div>
						  由于在电脑设备管理器.系统中,无法详细的看到笔记本内存的品牌以及具体的相关型号,因此很多新买笔记本朋友所经常会问到这样一个问题:怎么查看笔记本内存条型号?对于这个问题,通常有两种方法,一种是进入笔 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr4QZp.html" rel="bookmark" class="title">asp&period;net的10个提升性能或扩展性的秘密&lpar;二&rpar;</a>
					<div>
						简介 Asp.net有很多值得你挖掘的&quot;秘密&quot;,当你发现了它们,将会给你网站的性能和可扩展性带来巨大提升!例如,对于Membership以及Profile提供程序有一些秘密的瓶颈, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV3m5b.html" rel="bookmark" class="title">如何在单台电脑上模拟多台电脑向服务器发请求啊？（主要是不一样的IP）</a>
					<div>
						问题描述 如何在单台电脑上模拟多台电脑向服务器发请求啊?(主要是不一样的IP) 解决方案 解决方案二:用LoadRunner等压力测试工具即可解决方案三:如果我是想通过虚拟网卡来实现呢?不借助其他软件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlAekb.html" rel="bookmark" class="title">c语言-下面程序是否有语法错误，有请改正并写出打印结果。</a>
					<div>
						问题描述 下面程序是否有语法错误,有请改正并写出打印结果. 解决方案 不能将char* 转换为long*需要强制转换 解决方案二: 程序没有问题,会有一些编译警告,64位系统输出可能如下: [8],9 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QK2Jp.html" rel="bookmark" class="title">【性能优化】ORACLE数据库性能优化概述</a>
					<div>
						   为了保证ORACLE数据库运行在最佳的性能状态下,在信息系统开发之前就应该考虑数据库的优化策略.优化策略一般包括服务器操作系统参数调整.ORACLE数据库参数调整.网络性能调整.应用程序SQL语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7GOjz.html" rel="bookmark" class="title">pg 函数sfa&lowbar;tmp&lowbar;sleep&lpar;&rpar;执行越来越慢-sql分析</a>
					<div>
						pg 函数sfa_tmp_sleep()执行越来越慢                                                                           ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Qj9np.html" rel="bookmark" class="title">这个sql语句怎么写啊？找出每个同学最高分，最低分及对应的科目</a>
					<div>
						问题描述 这个sql语句怎么写啊?找出每个同学最高分,最低分及对应的科目 select name,course as mincourse,score as minscore from userscor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXX1yz.html" rel="bookmark" class="title">swift-调用函数要加入形参是为什么</a>
					<div>
						问题描述 调用函数要加入形参是为什么 为什么调用函数还要加入形参,哪位大神帮我解释一下 解决方案 http://c.biancheng.net/cpp/html/2265.html 解决方案二: 10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRW63b.html" rel="bookmark" class="title">容器界大事件：深度解析 containerd</a>
					<div>
						美国时间12月14日,Docker公司宣布将containerd从Docker Engine中分离,并捐赠到一个新的开源社区独立发展和运营,&quot;一个工业标准的容器运行时,注重简单. 健壮性.可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDl1Bz.html" rel="bookmark" class="title">网站外部链接对网站排名的影响</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 外部链接分三种: 1.自己创建网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydavJb.html" rel="bookmark" class="title">service-访问Listview出现的问题</a>
					<div>
						问题描述 访问Listview出现的问题 程序中的服务器要在一个xml文件中访问一个Listview,我使用 findviewbyid,但是不能运行,因为它不是一个activity. 然后我在main ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRXZEb.html" rel="bookmark" class="title">高红冰：治理创新是共享单车成功的关键</a>
					<div>
						共享经济如火如荼:共享充电宝.共享雨伞.共享篮球...一切与创新毫不沾边的旧物件,搭上&quot;共享&quot;二字之后,忽然间就焕发了生机,一切欣欣向荣起来. 共享经济是否有边界?是不是任何产品的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKeXWz.html" rel="bookmark" class="title">Android提高Service优先级的方法分析&lowbar;Android</a>
					<div>
						本文实例讲述了Android提高Service优先级的方法.分享给大家供大家参考,具体如下: Android 系统对于内存管理有自己的一套方法,为了保障系统有序稳定的运信,系统内部会自动分配,控制程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQZykp.html" rel="bookmark" class="title">指针-各位前辈帮我看看二叉树层序遍历错在哪里了</a>
					<div>
						问题描述 各位前辈帮我看看二叉树层序遍历错在哪里了 #include #include struct Nodep /*树结点类型*/ { char data; struct Nodep * lired ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVRqwz.html" rel="bookmark" class="title">JSP和Struts解决用户退出问题&lowbar;JSP编程</a>
					<div>
						在一个有密码保护的Web应用中,正确处理用户退出过程并不仅仅只需调用HttpSession的invalidate()方法.现在大部分浏览器上都有后退和前进按钮,允许用户后退或前进到一个页面.如果在用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkYGQz.html" rel="bookmark" class="title">ipv6实现udp编程示例&lowbar;C 语言</a>
					<div>
						开发测试环境:WIN7SP1.VS2005 UdpServer.cpp 复制代码 代码如下: #include &lt;iostream&gt;#include &lt;WinSock2.h&gt;# ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
